#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ======================================================================

proc main {{argc 0} {argv {}}} {

# ----------------------------------------------------------------------

  set script [file join [pwd] [info script]]

  # Normalize path
  set list {}
  foreach item [file split $script] {
    switch -- $item {
      "."     {}
      ".."    { set list [lreplace $list end end] }
      default { lappend list $item }
    }
  }
  set scr [eval file join $list]
  set dir [file dirname $scr]
  set d   [file dirname $dir]

  if { [lsearch $::auto_path $d] == -1 } { lappend ::auto_path $d } 

  package require led

  namespace forget led::*
  namespace import led::*

# ----------------------------------------------------------------------

  set w .led
  led $w -bg darkgreen -fg green -width 100 -height 100
  pack $w -side top -expand 0 -fill none -padx 20 -pady 20

  led::after $w 1000 "led::flash $w 500 2000"

  bind $w <Button-1> "led::toggle $w"
  bind $w <Button-2> "puts \"Button-2\" ; led::state $w disabled"
  bind $w <Button-3> "puts \"Button-3\" ; led::state $w normal"
  bind $w <Double-1> "destroy $w"

# ----------------------------------------------------------------------

}

# ======================================================================

  if { [string equal [info script] $argv0] } {
    main $argc $argv
  }

# ======================================================================

