#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ======================================================================

proc main {{argc 0} {argv {}}} {

# ----------------------------------------------------------------------

  set script [file join [pwd] [info script]]

  # Normalize path
  set list {}
  foreach item [file split $script] {
    switch -- $item {
      "."     {}
      ".."    { set list [lreplace $list end end] }
      default { lappend list $item }
    }
  }
  set scr [eval file join $list]
  set dir [file dirname $scr]
  set d   [file dirname $dir]

  if { [lsearch $::auto_path $d] == -1 } { lappend ::auto_path $d }

  package require led

# ----------------------------------------------------------------------

  set f [frame .demo1 -relief raised -bd 1]
  pack $f -side top -expand 1 -fill both -padx 0 -pady 0 -anchor nw

  set i 0
  foreach {bg fg} [list \
    #000000 #C0C0C0 \
    #808080 #FFFFFF \
    #800000 #FF0000 \
    #800080 #FF00FF \
    #008000 #00FF00 \
    #808000 #FFFF00 \
    #000080 #0000FF \
    #008080 #00FFFF \
  ] {
    set w $f.led[incr i]
    led::create $w -bg $bg -fg $fg
    pack $w -side left -expand 0 -fill none -padx 10 -pady 10

    led::after $w 1000 "led::flash $w 500 1000"
    bind $w <Button-1> "led::state $w active"
    bind $w <Button-2> "led::state $w disabled"
    bind $w <Button-3> "led::state $w normal"
    bind $w <Double-1> "destroy $w"
  }
  update

# ----------------------------------------------------------------------

}

# ======================================================================

  if { [string equal [info script] $argv0] } {
    main $argc $argv
  }

# ======================================================================

