#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ======================================================================

proc main {{argc 0} {argv {}}} {

# ----------------------------------------------------------------------

  set script [file join [pwd] [info script]]

  # Normalize path
  set list {}
  foreach item [file split $script] {
    switch -- $item {
      "."     {}
      ".."    { set list [lreplace $list end end] }
      default { lappend list $item }
    }
  }
  set scr [eval file join $list]
  set dir [file dirname $scr]
  set d   [file dirname $dir]

  if { [lsearch $::auto_path $d] == -1 } { lappend ::auto_path $d }

  package require led

# ----------------------------------------------------------------------

  set bg #800000
  set fg #FF0000

  for {set i 0} {$i < 20} { incr i} {
    set w .led$i
    led::create $w -bg $bg -fg $fg
    pack $w -side left -expand 0 -fill none -padx 0 -pady 10

    bind $w <Button-1> "led::toggle $w"
    bind $w <Button-2> "led::state $w disabled"
    bind $w <Button-3> "led::state $w normal"
    bind $w <Double-1> "destroy $w"
  }

  update
  after 2000

  for {set i 0} {$i < 20} { incr i} {
    set w .led$i
    led::after $w [expr $i * 50] "led::flash $w 50 1000"
  }

# ----------------------------------------------------------------------

}

# ======================================================================

  if { [string equal [info script] $argv0] } {
    main $argc $argv
  }

# ======================================================================

